From 0f246d7540a1558bb29abed6693f82fd0a2a2753 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:44:04 +0200
Subject: [PATCH 03/34] Convert slurm_conf.slurm_user_id ->
 slurm_get_slurm_user_id()

Signed-off-by: Egbert Eich <eich@suse.com>

# Conflicts:
#	src/common/slurm_protocol_api.c
#	src/slurmctld/backup.c
#	src/slurmctld/controller.c
---
 src/api/reconfigure.c           | 2 +-
 src/common/slurm_protocol_api.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/api/reconfigure.c b/src/api/reconfigure.c
index 85adfbe50a..bfc7ef5724 100644
--- a/src/api/reconfigure.c
+++ b/src/api/reconfigure.c
@@ -159,7 +159,7 @@ _send_message_controller (enum controller_id dest, slurm_msg_t *req)
 	if ((fd = slurm_open_controller_conn_spec(dest)) < 0)
 		slurm_seterrno_ret(SLURMCTLD_COMMUNICATIONS_CONNECTION_ERROR);
 
-	slurm_msg_set_r_uid(req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(req, slurm_get_slurm_user_id());
 	if (slurm_send_node_msg(fd, req) < 0) {
 		slurm_shutdown_msg_conn(fd);
 		slurm_seterrno_ret(SLURMCTLD_COMMUNICATIONS_SEND_ERROR);
diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index f97b6be357..936670b5b2 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -4620,7 +4620,7 @@ int slurm_send_only_controller_msg(slurm_msg_t *req)
 		goto cleanup;
 	}
 
-	slurm_msg_set_r_uid(req, slurm_conf.slurm_user_id);
+	slurm_msg_set_r_uid(req, slurm_get_slurm_user_id());
 
 	if ((rc = slurm_send_node_msg(fd, req)) < 0) {
 		rc = SLURM_ERROR;
-- 
2.35.3


